Introduction
The Energiency API allows to access and manipulate data from the Energiency solution. This API is organized around REST. Our API has predictable, resource-oriented URLs, and uses HTTP response codes to indicate API errors. We use built-in HTTP features, like HTTP authentication and HTTP verbs, which are understood by off-the-shelf HTTP clients.
Authentication
REST API endpoints require authentication, and return information that depends on your identity.
To authenticate your request, you will need to provide an authentication token. There a few different ways to get a token: you can create an API key, or generate a temporary JWT token.
API keys (recommended)
The simplest way to authenticate requests is to use an API key. An API key is a token with an unlimited duration, associated with a client platform.
You need to create an API key in the app, and then authenticate with it via apiKey header: apiKey: my_api_key.
As an API key has an unlimited duration, we recommend that you renew your keys regularly, for security reasons.
Create an API key
As administrator, go to the Settings page in the app, and go to the API keys tab:
Click on the Add an API key button
In the Add an API key page, type a Name , and validate by clicking on on Add
Copy the key that was just generated by clicking on Copy
We don't store API keys as plain text but are encrypted, so don't forget to copy your key since we won't be able to retrieve it. But you can generate as many keys as you want.
To authorize a request, use this code:
curl "api_endpoint_here" \
-H "apiKey: my_api_key"
Make sure to replace my_api_key with your access token.
JWT tokens
Energiency API uses JWT (JSON Web Token) to allow access to the API.
You need to obtain an access token, and then authenticate with it via bearer auth: Authorization: Bearer my_access_token.
You must replace my_access_token with your personal access token.
Get an Access Token
To get an API access token, use this code:
curl --url "https://*.energiency.fr/api/timeseries/v2/auth" \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"username": "my_username",
"password": "my_password",
"customerCode": "my_customer_code"
}'
This command returns JSON structured like this:
{
"token" : "my_access_token"
}
To authorize a request, use this code:
curl "api_endpoint_here" \
-H "Authorization: Bearer my_access_token"
Make sure to replace my_access_token with your access token.
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/auth
Body Parameters
Parameter
Default
Description
username
User login
password
User password
customerCode
Customer code
For security reasons, tokens expire after 30 minutes .
So you may need to refresh tokens regularly by using the API below.
Refresh an Access Token
To refresh an API access token, use this code:
curl --url "https://*.energiency.fr/timeseries/v2/refreshToken" \
--request GET \
--header 'Authorization: Bearer my_access_token'
This command returns JSON structured like this:
{
"token" : "my_new_access_token"
}
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/refreshToken
API Parameters
Here is an example with _perPage=100:
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?_perPage=10' \
--header 'Authorization: Bearer my_access_token'
Here, we return at most 10 items. Since we didn't specify any _page, the first 10 items are returned. We can retrieve the next 10 items with _page=2:
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?_perPage=10&_page=2' \
--header 'Authorization: Bearer my_access_token'
A lot of the time, when you're making calls to the Energiency REST API, there'll be a lot of results to return. That's why you may need to paginate results with _page and _perPage query parameters.
By default, results are not paginated.
How do I know if there are more pages?
Responses to GET operations contain an X-Items-Count header which indicates the total number of items. Thus, if the value of X-Items-Count is greater than _page x _perPage, it means that there are more pages.
Filters
Find meters whose source ID is exactly buTmCCCPuisActUv:
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?sourceId=buTmCCCPuisActUv' \
--header 'Authorization: Bearer my_access_token'
Find all meters whose name contains elec :
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?name_contains=elec' \
--header 'Authorization: Bearer my_access_token'
Find all virtual meters whose timestep is PT10M (10 minutes) or PT1M (1 minute):
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?timestep_in=PT10M,PT1M&virtual=true' \
--header 'Authorization: Bearer my_access_token'
Special query parameters allow to filter items returned by GET operations:
Filter
Description
No suffix or eq
Equal
neq
Not equal
lt
Less than
gt
Greater than
lte
Less than or equal to
gte
Greater than or equal to
in
Included in an array
nin
Not included in an array
contains
Contains
ncontains
Doesn't contain
containss
Contains, case sensitive
ncontainss
Doesn't contain, case sensitive
includes
Includes
includes_any
Includes any in an array
includes_all
Includes all in an array
null
Is null
nnull
Is not null
Fields
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?_fields=id,timestep' \
--header 'Authorization: Bearer my_access_token'
This command returns JSON structured like this:
[
{
"id" : "54d100f5-0bda-421b-b1a0-f4a80d909ce4" ,
"timestep" : "PT10M"
},
{
"id" : "5534fb5a-0bda-4213-b86b-168a3f3a7ce6" ,
"timestep" : "PT10M"
},
...
]
You can select only some fields to return in responses with the _fields query parameter.
Sort
Sort ascending meters by name:
curl -X GET \
--url 'http://*.energiency.fr/api/timeseries/v2/my_customer/meters?_sort=name%3Aasc' \
--header 'Authorization: Bearer my_access_token'
You can sort returned items according to a specific field with the _sort query parameter.
_sort=field:asc sort in ascending order
_sort=field:desc sort in descending order
Errors
The Energiency API uses the following error codes:
Error Code
Meaning
400
Bad Request -- Your request is wrongly formatted.
401
Unauthorized -- Your API key is wrong.
403
Forbidden -- The resource requested is hidden for administrators only.
404
Not Found -- The specified resource could not be found.
405
Method Not Allowed -- You tried to access a resource with an invalid method.
500
Internal Server Error -- We had a problem with our server. Try again later.
503
Service Unavailable -- We're temporarily offline for maintenance. Please try again later.
Imports
Imports allow data to be added to the application
Delete data
curl -X DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports?endDate=2024-07-08T13%3A12%3A01Z&meterId=string&startDate=2024-07-08T13%3A12%3A01Z \
-H 'apiKey: API_KEY'
Delete all the data of a given meter between two dates
HTTP Request
DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
endDate
query
string(date-time)
Yes
End date to delete Timeseries (as ISO8601) (excluded)
meterId
query
string
Yes
The meter
startDate
query
string(date-time)
Yes
Start date to delete Timeseries (as ISO8601) (included)
Responses
Status
Meaning
Description
Schema
204
No Content
Ok
None
Get imports
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports \
-H 'Accept: */*' \
-H 'apiKey: API_KEY'
Retrieves imports grouped by x-import-id
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
_fields
query
string
No
Allow to return only certain properties
_sort
query
string
No
Allow to sort by a certain properties
_page
query
number
No
The index of the page to load. To use for paginate results.
_perPage
query
number
No
The number of items per page. To use for paginate results.
Example responses
200 Response
Responses
Status
Meaning
Description
Schema
200
OK
imports
Inline
Response Schema
Status Code 200
Name
Type
Required
Description
anonymous
[allOf]
false
No description
allOf
Name
Type
Required
Description
» anonymous
Id
false
No description
»» id
string(uuid)
false
ID defined by Energiency
and
Name
Type
Required
Description
» anonymous
object
false
No description
»» count
number
false
The number of imported points
»» endDate
string(date-time)
false
The endDate of the import
»» firstDate
string(date-time)
false
The date of the first imported point
»» lastDate
string(date-time)
false
The date of the last imported point
»» name
string
false
The name of the import group
»» startDate
string(date-time)
false
The startDate of the import
»» meters
object
false
The number of imported points by meter's id
»»» additionalProperties
any
false
No description
undefined
Import data
curl -X POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-import-id: string' \
-H 'x-import-name: ' \
-H 'x-meters-aggregation-policy: string' \
-H 'x-meters-parent-id: string' \
-H 'x-meters-quantity-type: string' \
-H 'x-meters-timestep: string' \
-H 'apiKey: API_KEY'
Upsert data. Used for data import/reimport. Uses sourceId, allows duplicates quietly, creates unknown meter quietly. Content can be an XLSX file
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports
[
{}
]
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
dryRun
query
string
No
If present, a dry run of the import will be done, when importing a XLSX file. The import will not be done effectively then, but informations about the points to imported will be returned.
timezone
query
string
No
Timezone used to read dates when importing a XLSX file.
x-import-id
header
string
No
A key to identify the Import batch and merge it in the Imports page (default: [name]_[timestamp of the start of the hour] )
x-import-name
header
string
No
The import label in the Imports page
x-meters-aggregation-policy
header
string
No
Default value for the aggregationPolicy of the meters created by the import
x-meters-parent-id
header
string
No
Default value for the parentId of the meters created by the import
x-meters-quantity-type
header
string
No
Default value for the quantityType of the meters created by the import
x-meters-timestep
header
string
No
Default value for the timestep of the meters created by the import
body
body
ImportParams
Yes
Data to upsert (limited to 10MB / 50MB for xlsx)
Detailed descriptions
dryRun : If present, a dry run of the import will be done, when importing a XLSX file. The import will not be done effectively then, but informations about the points to imported will be returned.
Example responses
200 Response
[
{
"level" : "info" ,
"message" : "string"
}
]
Responses
Status
Meaning
Description
Schema
200
OK
XLSX file correctly imported, with eventually ignored sheets because of internal errors
ImportStatusMessages
204
No Content
ok
None
Get the import file template
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports/file-template \
-H 'Accept: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' \
-H 'apiKey: API_KEY'
Get the import file template according to the customer code
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports/file-template
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
Example responses
200 Response
Responses
Status
Meaning
Description
Schema
200
OK
XLSX file of the import file template
string
Get import
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports/{id} \
-H 'Accept: */*' \
-H 'apiKey: API_KEY'
This endpoint retrieves a given import
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/imports/{id}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
id
path
string(uuid)
Yes
The ID of the element to access
Example responses
200 Response
Responses
Status
Meaning
Description
Schema
200
OK
import
Import
Perimeter
The perimeter is a tree structure where meters are organized
Get all meters
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
This endpoint returns the list of meters
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
_fields
query
string
No
Allow to return only certain properties
_sort
query
string
No
Allow to sort by a certain properties
_page
query
number
No
The index of the page to load. To use for paginate results.
_perPage
query
number
No
The number of items per page. To use for paginate results.
Example responses
200 Response
[
{
"siteId" : "string" ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
},
"id" : "string" ,
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
],
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
]
Responses
Status
Meaning
Description
Schema
200
OK
List of meters
Inline
Response Schema
Status Code 200
Name
Type
Required
Description
anonymous
[allOf]
false
No description
allOf
Name
Type
Required
Description
» anonymous
object
false
No description
»» siteId
string(uuid)
false
ID of the site
»» tags
object
false
Map of tags attached to meter by id
»»» additionalProperties
TagRef
false
No description
»»»» id
string(uuid)
false
No description
»»»» name
string
false
No description
»»»» categoryName
string
false
No description
»»»» color
string
false
No description
»»»» description
string
false
No description
and
Name
Type
Required
Description
»»» anonymous
Id
false
No description
»»»» id
string(uuid)
false
ID defined by Energiency
and
Name
Type
Required
Description
»»» anonymous
any
false
For required param see MeterParamRequired
allOf
Name
Type
Required
Description
»»»» anonymous
object
false
No description
»»»»» description
string,null
false
No description
»»»»» parentId
string,null(uuid)
false
ID of the parent element (if null, the meter will be put at the root of the perimeter). Can only be null, or the ID of a Folder element, or the ID of a Site element.
»»»»» icon
string,null
false
Icon used to display this meter in the Meters UI
»»»»» sourceId
string,null
false
Source ID of the meter. This identifier can be defined by the user to link a meter to an external data source.
»»»»» dataType
string,null(uuid)
false
ID of the data type
»»»»» missingPolicy
string,null
false
Strategy used for filling missing data
»»»»» offset
string,null
false
Offset of the meter
»»»»» shift
string,null
false
Shift of the meter
»»»»» relation
string,null
false
Relation of the virtual meter
»»»»» source
string,null
false
No description
»»»»» responsibleSector
string,null
false
No description
»»»»» formulaResponsible
string,null
false
No description
»»»»» responsible
string,null
false
No description
»»»»» billing
string,null
false
No description
»»»»» color
string,null
false
Meter's color
»»»»» lowerBound
number,null
false
The lower bound used to crop data values (bound value included)
»»»»» upperBound
number,null
false
The upper bound used to crop data values (bound value included)
and
Name
Type
Required
Description
»»»» anonymous
any
false
No description
and
Name
Type
Required
Description
»»»» anonymous
MeterParamBase
false
No description
»»»»» aggregationPolicy
string
false
Aggregation operator
»»»»» name
string
false
Name of the meter
»»»»» quantityType
string
false
Type of values in meter data
»»»»» timestep
ExportTimestep
false
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»»»»» unit
string,null
false
Unit symbol included in the data type
»»»»» virtual
boolean,null
false
Whether this is a virtual meter
»»»»» tagIds
[string]
false
Id of tags attached to this meter
and
Name
Type
Required
Description
»»»» anonymous
MeterParamRequired
false
Meter's required param
and
Name
Type
Required
Description
»»»» anonymous
HistoricalObject
false
No description
»»»»» creationDate
string(date-time)
false
Date and time (ISO 8601 format) when it was created
»»»»» creationUserId
string
false
ID of the user who created
»»»»» modificationDate
string,null(date-time)
false
Date and time (ISO 8601 format) of the last change
»»»»» modificationUserId
string,null
false
ID of the user who did the last change
and
Name
Type
Required
Description
»»»» anonymous
any
false
No description
allOf
Name
Type
Required
Description
»»»»» anonymous
object
false
No description
»»»»»» isAuthor
boolean,null
false
Whether the resource has been created by the user calling the API, if new users management is enabled
and
Name
Type
Required
Description
»»»»» anonymous
AccessRole
false
No description
»»»»»» role
string,null
false
Read/write access given on the resource, if new users management is enabled
Enumerated Values
Property
Value
aggregationPolicy
avg
aggregationPolicy
sum
aggregationPolicy
median
aggregationPolicy
min
aggregationPolicy
max
aggregationPolicy
count
role
null
role
read
role
write
undefined
Create a meter
curl -X POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Create a new meter in the perimeter
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
Example responses
201 Response
{
"siteId" : "string" ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
},
"id" : "string" ,
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
],
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
Responses
Status
Meaning
Description
Schema
201
Created
Created meter
Meter
Patch meters
curl -X PATCH https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Update a partial meter or a list of meter
HTTP Request
PATCH https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
id
query
string(uuid)
No
meter's id to patch
id_eq
query
string(uuid)
No
meter's id to patch
id_in
query
string
No
list of meter's id to patch split by ','
Example responses
200 Response
[
{
"siteId" : "string" ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
},
"id" : "string" ,
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
],
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
]
Responses
Status
Meaning
Description
Schema
200
OK
Updated meters
Inline
Response Schema
Status Code 200
Name
Type
Required
Description
anonymous
[allOf]
false
No description
allOf
Name
Type
Required
Description
» anonymous
object
false
No description
»» siteId
string(uuid)
false
ID of the site
»» tags
object
false
Map of tags attached to meter by id
»»» additionalProperties
TagRef
false
No description
»»»» id
string(uuid)
false
No description
»»»» name
string
false
No description
»»»» categoryName
string
false
No description
»»»» color
string
false
No description
»»»» description
string
false
No description
and
Name
Type
Required
Description
»»» anonymous
Id
false
No description
»»»» id
string(uuid)
false
ID defined by Energiency
and
Name
Type
Required
Description
»»» anonymous
any
false
For required param see MeterParamRequired
allOf
Name
Type
Required
Description
»»»» anonymous
object
false
No description
»»»»» description
string,null
false
No description
»»»»» parentId
string,null(uuid)
false
ID of the parent element (if null, the meter will be put at the root of the perimeter). Can only be null, or the ID of a Folder element, or the ID of a Site element.
»»»»» icon
string,null
false
Icon used to display this meter in the Meters UI
»»»»» sourceId
string,null
false
Source ID of the meter. This identifier can be defined by the user to link a meter to an external data source.
»»»»» dataType
string,null(uuid)
false
ID of the data type
»»»»» missingPolicy
string,null
false
Strategy used for filling missing data
»»»»» offset
string,null
false
Offset of the meter
»»»»» shift
string,null
false
Shift of the meter
»»»»» relation
string,null
false
Relation of the virtual meter
»»»»» source
string,null
false
No description
»»»»» responsibleSector
string,null
false
No description
»»»»» formulaResponsible
string,null
false
No description
»»»»» responsible
string,null
false
No description
»»»»» billing
string,null
false
No description
»»»»» color
string,null
false
Meter's color
»»»»» lowerBound
number,null
false
The lower bound used to crop data values (bound value included)
»»»»» upperBound
number,null
false
The upper bound used to crop data values (bound value included)
and
Name
Type
Required
Description
»»»» anonymous
any
false
No description
and
Name
Type
Required
Description
»»»» anonymous
MeterParamBase
false
No description
»»»»» aggregationPolicy
string
false
Aggregation operator
»»»»» name
string
false
Name of the meter
»»»»» quantityType
string
false
Type of values in meter data
»»»»» timestep
ExportTimestep
false
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»»»»» unit
string,null
false
Unit symbol included in the data type
»»»»» virtual
boolean,null
false
Whether this is a virtual meter
»»»»» tagIds
[string]
false
Id of tags attached to this meter
and
Name
Type
Required
Description
»»»» anonymous
MeterParamRequired
false
Meter's required param
and
Name
Type
Required
Description
»»»» anonymous
HistoricalObject
false
No description
»»»»» creationDate
string(date-time)
false
Date and time (ISO 8601 format) when it was created
»»»»» creationUserId
string
false
ID of the user who created
»»»»» modificationDate
string,null(date-time)
false
Date and time (ISO 8601 format) of the last change
»»»»» modificationUserId
string,null
false
ID of the user who did the last change
and
Name
Type
Required
Description
»»»» anonymous
any
false
No description
allOf
Name
Type
Required
Description
»»»»» anonymous
object
false
No description
»»»»»» isAuthor
boolean,null
false
Whether the resource has been created by the user calling the API, if new users management is enabled
and
Name
Type
Required
Description
»»»»» anonymous
AccessRole
false
No description
»»»»»» role
string,null
false
Read/write access given on the resource, if new users management is enabled
Enumerated Values
Property
Value
aggregationPolicy
avg
aggregationPolicy
sum
aggregationPolicy
median
aggregationPolicy
min
aggregationPolicy
max
aggregationPolicy
count
role
null
role
read
role
write
undefined
Delete a meter
curl -X DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id} \
-H 'apiKey: API_KEY'
Delete an existing meter in the perimeter
HTTP Request
DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
id
path
string(uuid)
Yes
The ID of the element to access
Responses
Status
Meaning
Description
Schema
204
No Content
The meter has been successsfully deleted
None
Get a meter
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id} \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
This endpoint returns a single meter
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
id
path
string(uuid)
Yes
The ID of the element to access
Example responses
200 Response
{
"siteId" : "string" ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
},
"id" : "string" ,
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
],
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
Responses
Status
Meaning
Description
Schema
200
OK
Meter data
Meter
Update a meter
curl -X PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Update an existing meter in the perimeter
HTTP Request
PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/meters/{id}
{
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
id
path
string(uuid)
Yes
The ID of the element to access
body
body
any
Yes
Data of the meter
Example responses
200 Response
{
"siteId" : "string" ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
},
"id" : "string" ,
"description" : null ,
"parentId" : null ,
"icon" : "speedometer" ,
"sourceId" : null ,
"dataType" : null ,
"missingPolicy" : null ,
"offset" : "PT0H" ,
"shift" : "PT0H" ,
"relation" : null ,
"source" : null ,
"responsibleSector" : null ,
"formulaResponsible" : null ,
"responsible" : null ,
"billing" : null ,
"color" : null ,
"lowerBound" : null ,
"upperBound" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
],
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
Responses
Status
Meaning
Description
Schema
200
OK
Updated meter
Meter
Get perimeter
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/perimeter \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
This endpoint returns all items of the perimeter (folders, meters, sites)
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/perimeter
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
Example responses
200 Response
[
{
"type" : "site" ,
"id" : "string" ,
"description" : null ,
"location" : null ,
"name" : "string" ,
"timezone" : "string" ,
"access" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
]
Responses
Status
Meaning
Description
Schema
200
OK
List of perimeter items
Perimeter
Update perimeter
curl -X PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/perimeter \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Update several items of the perimeter (sites, folder and meters)
HTTP Request
PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/perimeter
[
{
"type" : "site" ,
"description" : null ,
"location" : null ,
"name" : "string" ,
"timezone" : "string" ,
"access" : null ,
"id" : "string"
}
]
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
body
body
PerimeterParam
No
Data of the perimeter's items
Example responses
200 Response
[
{
"type" : "site" ,
"id" : "string" ,
"description" : null ,
"location" : null ,
"name" : "string" ,
"timezone" : "string" ,
"access" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
]
Responses
Status
Meaning
Description
Schema
200
OK
List of perimeter items
Perimeter
Check relation
curl -X POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/relation \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Check relation
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/relation
{
"meterId" : "string" ,
"relation" : "string"
}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
body
body
RelationValidationParam
Yes
relation to check
» meterId
body
string
No
The ID of the meter having this relation
» relation
body
string
Yes
The relation to check
Example responses
200 Response
{
"errors" : [
{
"message" : "string" ,
"type" : "string"
}
],
"success" : true ,
"warnings" : [
{
"deprecation" : "string" ,
"message" : "string" ,
"replacement" : "string" ,
"type" : "string"
}
]
}
Responses
Timeseries
Timeseries allows you to have a set of data over a given period of time
Delete Timeseries
curl -X DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries \
-H 'Content-Type: application/json' \
-H 'apiKey: API_KEY'
Delete several timeseries on several meters
HTTP Request
DELETE https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries
[
{
"date" : "2024-07-08T13:12:01Z" ,
"meterId" : "string"
}
]
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
date_gt
query
string(date-time)
No
Start date to delete Timeseries (as ISO8601) (excluded)
date_gte
query
string(date-time)
No
Start date to delete Timeseries (as ISO8601) (included)
date_lt
query
string(date-time)
No
End date to delete Timeseries (as ISO8601) (excluded)
date_lte
query
string(date-time)
No
End date to delete Timeseries (as ISO8601) (included)
endDate
query
string(date-time)
No
End date to delete Timeseries (as ISO8601) (included)
meterId
query
string
No
define a meterId
meterId_eq
query
string
No
define a meterId
meterId_in
query
string
No
define several meterIds
purge
query
boolean
No
true if you want to delete timeseries (only for root user)
startDate
query
string(date-time)
No
Start date to delete Timeseries (as ISO8601) (included)
body
body
TimeseriesDataParamForDeletion
No
Timeseries Data to delete (body is optionnal if startDate and endDate are defined)
Responses
Status
Meaning
Description
Schema
204
No Content
Nothing is returned
None
Get all timeseries
curl -X GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Get all timeseries from a meter
HTTP Request
GET https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
_page
query
number
No
The index of the page to load. To use for paginate results.
_perPage
query
number
No
The number of items per page. To use for paginate results.
_detail
query
boolean
No
Activate the detail view of a resource
_sort
query
string
No
Allow to sort by a certain properties
_fields
query
string
No
Allow to return only certain properties
date_gt
query
string(date-time)
No
Start date to get Timeseries (as ISO8601) (excluded)
date_gte
query
string(date-time)
No
Start date to get Timeseries (as ISO8601) (included)
date_lt
query
string(date-time)
No
End date to get Timeseries (as ISO8601) (excluded)
date_lte
query
string(date-time)
No
End date to get Timeseries (as ISO8601) (included)
meterId
query
string
No
define a meterId
meterId_eq
query
string
No
define a meterId
meterId_in
query
string
No
define several meterIds
timezone
query
string
No
Output data will be converted to this timezone
Example responses
200 Response
{
"date" : "2024-07-08T13:12:01Z" ,
"quantity" : 0
}
Responses
Status
Meaning
Description
Schema
200
OK
Timeseries list
Inline
Response Schema
Status Code 200
Name
Type
Required
Description
oneOf
Name
Type
Required
Description
» anonymous
TimeseriesExport
false
No description
»» date
string(date-time)
true
UTC date as ISO8601
»» quantity
any
true
Use dot as decimal separator
oneOf
Name
Type
Required
Description
»»» anonymous
number
false
No description
xor
Name
Type
Required
Description
»»» anonymous
string
false
No description
xor
Name
Type
Required
Description
»» anonymous
TimeseriesDetailExport
false
No description
»»» creationDate
string(date-time)
false
UTC date as ISO8601
»»» date
string(date-time)
false
UTC date as ISO8601
»»» deletionDate
string(date-time)
false
UTC date as ISO8601
»»» isText
boolean
false
* set to true if the imported quantity can not be converted to a numeric value. As consequence,the textQuantity field is used for alphanum meters, and this point is ignored for numeric meters. * set to null otherwise
»»» quantity
number
false
The numeric value of the point
»»» status
string
false
Status of the point: * active - The point is the point to use when requesting the data * deleted - The point has been deleted or replaced
»»» textQuantity
string
false
A text quantity
Enumerated Values
Property
Value
status
active
status
deleted
undefined
Update Timeseries
curl -X PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Update several timeseries on several meters
HTTP Request
PUT https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries
[
{
"date" : "2024-07-08T13:12:01Z" ,
"meterId" : "string" ,
"quantity" : 0
}
]
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
body
body
array[object]
Yes
Timeseries Data to modify
Example responses
200 Response
[
{
"date" : "2024-07-08T13:12:01Z" ,
"meterId" : "string" ,
"quantity" : 0
}
]
Responses
Status
Meaning
Description
Schema
200
OK
Updated Timeseries Data
Inline
Response Schema
Status Code 200
Name
Type
Required
Description
anonymous
[TimeseriesData ]
false
No description
» date
string(date-time)
true
No description
» meterId
string(uuid)
true
No description
» quantity
any
true
No description
oneOf
Name
Type
Required
Description
»» anonymous
number
false
No description
xor
Name
Type
Required
Description
»» anonymous
string
false
No description
undefined
Export aggregations
curl -X POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries/aggregations \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Export several timeseries as a consolidated result
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries/aggregations
{
"csvOptions" : {
"headers" : [
"name"
]
},
"dateRanges" : [
{
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
}
],
"groupBy" : [
"hour" ,
"hour"
],
"meters" : [
{
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"id" : "string" ,
"name" : null ,
"quantityType" : "string" ,
"timestep" : "P0D"
}
],
"filterNullValues" : false ,
"monotonous" : null ,
"offset" : "string" ,
"timestep" : "P0D" ,
"timezone" : "UTC"
}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
body
body
AggregationExportParam
Yes
The export configuration
» csvOptions
body
object
No
Options of the CSV export
»» headers
body
[any]
No
List of headers to display in the CSV file
» dateRanges
body
[ExportRange ]
Yes
Range date to get
»» endDate
body
string(date-time)
No
UTC date as ISO8601
»» startDate
body
string(date-time)
No
UTC date as ISO8601
» groupBy
body
any
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
[string]
No
No description
»» *anonymous*
body
SimpleGroupBy
No
Groups the series by month, week, hour, day of week or or day of the year
» meters
body
[oneOf]
Yes
No description
»» *anonymous*
body
FormulaExportParam
No
No description
»»» aggregationPolicy
body
string
No
Override the aggregation policy of the meter
»»» formula
body
string
Yes
Formula (Required if using formula)
»»» id
body
string(uuid)
Yes
The id of the required meter
»»» name
body
null,string
No
The name of the meter
»»» quantityType
body
string
No
Type of values in meter data
»»» timestep
body
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»» *anonymous*
body
MeterExportParam
No
No description
»»» aggregationPolicy
body
string
No
Override the aggregation policy of the meter
»»» id
body
string(uuid)
No
The id of the required meter
»»» meterId
body
string(uuid)
No
The id of the required meter
»»» name
body
null,string
No
The name of the meter
»»» unit
body
null,string
No
The unit of the meter
»» filterNullValues
body
boolean
No
Whether filter null values
»» monotonous
body
object,null
No
No description
»»» sort
body
any
No
Sort unagregated data by ascending or descending order
»»» useRawData
body
boolean
No
Whether use the raw Data
»» offset
body
string
No
By default the first meter offset is used. This parameter overrides the first meter offset. Should be a signed ISO8601 duration (Ex: '-P1D', 'P12D')
»» timestep
body
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»» timezone
body
string
No
Output data will be converted to this timezone
Enumerated Values
Parameter
Value
»» headers
name
»» headers
clientID
»» headers
sourceId
»» headers
unit
»» headers
timezone
»» anonymous
hour
»» anonymous
dayOfWeek
»» anonymous
hour
»» anonymous
month
»» anonymous
hour
»» anonymous
dayOfYear
»» anonymous
hour
»» anonymous
week
»» anonymous
dayOfWeek
»» anonymous
week
»» anonymous
dayOfWeek
»» anonymous
month
»» anonymous
hour
»» anonymous
week
»» anonymous
dayOfWeek
»» anonymous
dayOfYear
»» anonymous
month
»» anonymous
null
»»» aggregationPolicy
avg
»»» aggregationPolicy
count
»»» aggregationPolicy
max
»»» aggregationPolicy
min
»»» aggregationPolicy
sum
»»» aggregationPolicy
stddev
»»» aggregationPolicy
stddev_pop
»»» aggregationPolicy
stddev_samp
»»» aggregationPolicy
variance
»»» aggregationPolicy
var_pop
»»» aggregationPolicy
var_samp
»»» aggregationPolicy
median
»»» aggregationPolicy
avg
»»» aggregationPolicy
count
»»» aggregationPolicy
max
»»» aggregationPolicy
min
»»» aggregationPolicy
sum
»»» aggregationPolicy
stddev
»»» aggregationPolicy
stddev_pop
»»» aggregationPolicy
stddev_samp
»»» aggregationPolicy
variance
»»» aggregationPolicy
var_pop
»»» aggregationPolicy
var_samp
»»» aggregationPolicy
median
»»» sort
asc
»»» sort
desc
»»» sort
null
Example responses
200 Response
[
[
{
"timestamp" : "string" ,
"property1" : 0 ,
"property2" : 0
}
]
]
Responses
Compute the correlation matrix
curl -X POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries/correlation \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiKey: API_KEY'
Compute the correlation matrix
HTTP Request
POST https://*.energiency.fr/api/timeseries/v2/{customerCode}/timeseries/correlation
{
"endDate" : "2024-07-08T13:12:01Z" ,
"meters" : [
{
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"id" : "string" ,
"name" : null ,
"quantityType" : "string" ,
"timestep" : "P0D"
}
],
"offset" : "string" ,
"startDate" : "2024-07-08T13:12:01Z" ,
"timestep" : "P0D" ,
"timezone" : "UTC"
}
Parameters
Parameter
In
Type
Required
Description
customerCode
path
string
Yes
The customerCode
body
body
CorrelationExportParam
Yes
Correlation Parameters
» endDate
body
string(date-time)
Yes
date time as ISO8601
» meters
body
[oneOf]
Yes
Meter ids to get
»» *anonymous*
body
FormulaExportParam
No
No description
»»» aggregationPolicy
body
string
No
Override the aggregation policy of the meter
»»» formula
body
string
Yes
Formula (Required if using formula)
»»» id
body
string(uuid)
Yes
The id of the required meter
»»» name
body
null,string
No
The name of the meter
»»» quantityType
body
string
No
Type of values in meter data
»»» timestep
body
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»» *anonymous*
body
MeterExportParam
No
No description
»»» aggregationPolicy
body
string
No
Override the aggregation policy of the meter
»»» id
body
string(uuid)
No
The id of the required meter
»»» meterId
body
string(uuid)
No
The id of the required meter
»»» name
body
null,string
No
The name of the meter
»»» unit
body
null,string
No
The unit of the meter
»» offset
body
string
No
By default the first meter offset is used. This parameter overrides the first meter offset. Should be a signed ISO8601 duration (Ex: '-P1D', 'P12D')
»» startDate
body
string(date-time)
Yes
date time as ISO8601
»» timestep
body
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»» timezone
body
string
No
timezone
Enumerated Values
Parameter
Value
»»» aggregationPolicy
avg
»»» aggregationPolicy
count
»»» aggregationPolicy
max
»»» aggregationPolicy
min
»»» aggregationPolicy
sum
»»» aggregationPolicy
stddev
»»» aggregationPolicy
stddev_pop
»»» aggregationPolicy
stddev_samp
»»» aggregationPolicy
variance
»»» aggregationPolicy
var_pop
»»» aggregationPolicy
var_samp
»»» aggregationPolicy
median
»»» aggregationPolicy
avg
»»» aggregationPolicy
count
»»» aggregationPolicy
max
»»» aggregationPolicy
min
»»» aggregationPolicy
sum
»»» aggregationPolicy
stddev
»»» aggregationPolicy
stddev_pop
»»» aggregationPolicy
stddev_samp
»»» aggregationPolicy
variance
»»» aggregationPolicy
var_pop
»»» aggregationPolicy
var_samp
»»» aggregationPolicy
median
Example responses
200 Response
[
[
0
]
]
Responses
Schemas
AccessAttributes
{
"isAuthor" : null ,
"role" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» isAuthor
boolean,null
No
Whether the resource has been created by the user calling the API, if new users management is enabled
and
Name
Type
Required
Description
*anonymous*
AccessRole
No
No description
AccessParam
{
"access" : null
}
Properties
Defined the access to a ressource and these sub ressources. Access keys are user's id or group's id. Access values are read to give read-only access, or write to give edit access.
Name
Type
Required
Description
access
object,null
No
No description
» **additionalProperties**
string
No
No description
Enumerated Values
Property
Value
additionalProperties
read
additionalProperties
write
AccessRole
{
"role" : null
}
Properties
Name
Type
Required
Description
role
string,null
No
Read/write access given on the resource, if new users management is enabled
Enumerated Values
Property
Value
role
null
role
read
role
write
Action
{
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : null ,
"title" : "string" ,
"ownerId" : "string" ,
"siteId" : null ,
"supervisorId" : null ,
"dueDate" : null ,
"startDate" : null ,
"state" : "NOT_STARTED" ,
"progress" : 0 ,
"tagIds" : [
"string"
],
"evaluation" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null ,
"meterIds" : [
"string"
],
"meters" : {
"property1" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
},
"property2" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
}
},
"nbComments" : 0 ,
"nbDocuments" : 0 ,
"nbTasks" : 0 ,
"siteName" : null ,
"tags" : {
"property1" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
},
"property2" : {
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : "string"
}
}
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
Name
Type
Required
Description
*anonymous*
ActionParam
No
No description
and
and
and
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» meterIds
[string]
No
Meters' id used in the action
» meters
object
No
Map of meters attached to action by id
»» **additionalProperties**
MeterRef
No
Schema for meter reference use in action, alert and dashboard
» nbComments
number
No
No description
» nbDocuments
number
No
No description
» nbTasks
number
No
No description
» siteName
string,null
No
No description
» tags
object
No
Map of tags attached to action by id
»» **additionalProperties**
TagRef
No
No description
ActionEvaluation
{
"type" : "consumption" ,
"referenceDateRange" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
},
"evaluationDateRange" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
},
"financial" : {
"investment" : null ,
"conversionFormula" : null
},
"hypothesisDescription" : null ,
"timestep" : "P0D" ,
"consumptionFormula" : "string"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» type
string
No
No description
» referenceDateRange
ExportRange
Yes
Reference period used to compare data
» evaluationDateRange
ExportRange
No
Evaluation period used to analyze performance
» financial
object
No
No description
»» investment
number,null
No
No description
»» conversionFormula
string,null
No
Convert energy consumption into money
» hypothesisDescription
string,null
No
No description
» timestep
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
and - discriminator: type
Name
Type
Required
Description
*anonymous*
any
No
No description
oneOf
xor
Enumerated Values
Property
Value
type
consumption
type
EnPI
ActionEvaluationConsumption
{
"type" : "consumption" ,
"consumptionFormula" : "string"
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
consumptionFormula
string
Yes
Formula to calculate consumption
Enumerated Values
Property
Value
type
consumption
ActionEvaluationEnPI
{
"type" : "EnPI" ,
"numeratorEnPIFormula" : "string" ,
"denominatorEnPIFormula" : "string"
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
numeratorEnPIFormula
string
Yes
Formula to calculate the numerator (for example a consumption)
denominatorEnPIFormula
string
Yes
Formula to calculate the demoniator related to the numerator (for example a production)
Enumerated Values
ActionParam
{
"id" : "string" ,
"name" : "string" ,
"categoryName" : "string" ,
"color" : "string" ,
"description" : null ,
"title" : "string" ,
"ownerId" : "string" ,
"siteId" : null ,
"supervisorId" : null ,
"dueDate" : null ,
"startDate" : null ,
"state" : "NOT_STARTED" ,
"progress" : 0 ,
"tagIds" : [
"string"
],
"evaluation" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
TagRef
No
No description
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» title
string
No
No description
» description
string,null
No
No description
» ownerId
string
No
No description
» siteId
string,null(uuid)
No
No description
» supervisorId
string,null(uuid)
No
No description
» dueDate
string,null(date-time)
No
No description
» startDate
string,null(date-time)
No
No description
» state
string
No
No description
» progress
number
No
No description
» tagIds
[string]
No
Id of tags attached to this action
» evaluation
any
No
No description
anyOf
Name
Type
Required
Description
»» *anonymous*
null
No
No description
or
Name
Type
Required
Description
»» *anonymous*
ActionEvaluation
No
No description
Enumerated Values
Property
Value
state
NOT_STARTED
state
STARTED
state
ENDED
state
PAUSED
state
CANCELED
ActionParamRequired
{}
Properties
None
ActionStatisticsExportParam
{
"type" : "consumption" ,
"consumptionFormula" : "string" ,
"referenceDateRange" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
},
"evolutionDateRange" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
},
"timezone" : "UTC" ,
"timestep" : "P0D" ,
"financial" : {
"investment" : 0 ,
"conversionFormula" : null
}
}
Properties
allOf - discriminator: type
Name
Type
Required
Description
*anonymous*
any
No
No description
oneOf
xor
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» referenceDateRange
ExportRange
No
No description
» evolutionDateRange
ExportRange
No
No description
» timezone
string
No
No description
» timestep
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
» financial
object
No
No description
»» investment
number,null
No
No description
»» conversionFormula
string,null
No
Convert energy consumption into money
AggregationExport
[
[
{
"timestamp" : "string" ,
"property1" : 0 ,
"property2" : 0
}
]
]
Properties
None
AggregationExportParam
{
"csvOptions" : {
"headers" : [
"name"
]
},
"dateRanges" : [
{
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
}
],
"groupBy" : [
"hour" ,
"hour"
],
"meters" : [
{
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"id" : "string" ,
"name" : null ,
"quantityType" : "string" ,
"timestep" : "P0D"
}
],
"filterNullValues" : false ,
"monotonous" : null ,
"offset" : "string" ,
"timestep" : "P0D" ,
"timezone" : "UTC"
}
Properties
Name
Type
Required
Description
csvOptions
object
No
Options of the CSV export
» headers
[any]
No
List of headers to display in the CSV file
dateRanges
[ExportRange ]
Yes
Range date to get
groupBy
GroupBy
No
No description
meters
[oneOf]
Yes
No description
oneOf
xor
continued
Name
Type
Required
Description
filterNullValues
boolean
No
Whether filter null values
monotonous
object,null
No
No description
» sort
any
No
Sort unagregated data by ascending or descending order
» useRawData
boolean
No
Whether use the raw Data
offset
string
No
By default the first meter offset is used. This parameter overrides the first meter offset. Should be a signed ISO8601 duration (Ex: '-P1D', 'P12D')
timestep
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
timezone
string
No
Output data will be converted to this timezone
Enumerated Values
Property
Value
sort
asc
sort
desc
sort
null
AggregationExportRangeData
{
"timestamp" : "string" ,
"property1" : 0 ,
"property2" : 0
}
Properties
Name
Type
Required
Description
**additionalProperties**
number(double)
No
Map of values by meterId
timestamp
string
No
No description
AlertConfiguration
{
"id" : "string" ,
"timestep" : "P0D" ,
"name" : "string" ,
"creationDate" : "string" ,
"unit" : "string" ,
"message" : "string" ,
"formula" : "string" ,
"minOccurrences" : 1 ,
"comparator" : ">" ,
"threshold" : 0 ,
"timezone" : "UTC" ,
"offset" : "P0D" ,
"aggregationPolicy" : "avg" ,
"description" : null ,
"meters" : {
"property1" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
},
"property2" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
}
},
"parentId" : null
}
Properties
Name
Type
Required
Description
id
string(uuid)
No
No description
timestep
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
name
string
No
The name to retrieve in export/GUI. This relation will be used to fill the name of the AlertStatus.
creationDate
string
No
the ISO8601 Date of the alertconfiguration creation
unit
string
No
The unit of the quantity
message
string
No
A text message linked to this alert (ex: An action to do when the alert is active)
formula
string
No
Formula
minOccurrences
number
No
Number of times that the alert condition must be true consecutively before an alert status to be generated
comparator
string
No
Comparator between meter and threshold (only for a simple alert)
threshold
number
No
Threshold (only for a simple alert)
timezone
string
No
Computed data will be converted to this timezone
offset
string
No
Offset duration
aggregationPolicy
string
No
Define the aggregation policy for the quantity field
description
string,null
No
No description
meters
object
No
No description
» **additionalProperties**
MeterRef
No
Schema for meter reference use in action, alert and dashboard
parentId
string,null
No
ID of the parent element (if null, the alert will be put at the root of the tree). Can only be null, or the ID of a Folder element.
Enumerated Values
Property
Value
comparator
>
comparator
<
comparator
=
comparator
<=
comparator
>=
aggregationPolicy
avg
aggregationPolicy
count
aggregationPolicy
max
aggregationPolicy
min
aggregationPolicy
sum
aggregationPolicy
stddev
aggregationPolicy
stddev_pop
aggregationPolicy
stddev_samp
aggregationPolicy
variance
aggregationPolicy
var_pop
aggregationPolicy
var_samp
aggregationPolicy
median
AlertConfigurationList
[
{
"id" : "string" ,
"timestep" : "P0D" ,
"name" : "string" ,
"creationDate" : "string" ,
"unit" : "string" ,
"message" : "string" ,
"formula" : "string" ,
"minOccurrences" : 1 ,
"comparator" : ">" ,
"threshold" : 0 ,
"timezone" : "UTC" ,
"offset" : "P0D" ,
"aggregationPolicy" : "avg" ,
"description" : null ,
"meters" : {
"property1" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
},
"property2" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
}
},
"parentId" : null
}
]
Properties
AlertConfigurationParam
{
"aggregationPolicy" : "avg" ,
"comparator" : ">" ,
"description" : null ,
"formula" : "string" ,
"name" : "string" ,
"offset" : null ,
"quantityType" : "numeric" ,
"recipients" : [
null
],
"threshold" : 0 ,
"timestep" : "P0D" ,
"timezone" : "UTC" ,
"unit" : "string"
}
Properties
Name
Type
Required
Description
aggregationPolicy
string
No
Define the aggregation policy for the quantity aggregation
comparator
string
No
Comparator between meter and threshold (only for a simple alert)
description
string,null
No
No description
formula
string
No
Formula to compute alert
name
string
No
The name to retrieve in export/GUI. This relation will be used to fill the name of the AlertStatus.
offset
string,null
No
Offset, should be a signed ISO8601 duration (Ex: '-P1D', 'P12D')
quantityType
string
No
Type of values in meter data
recipients
[oneOf]
No
Can be email or userId
oneOf
Name
Type
Required
Description
» *anonymous*
any
No
No description
xor
Name
Type
Required
Description
» *anonymous*
any
No
No description
continued
Name
Type
Required
Description
threshold
number
No
Threshold (only for a simple alert)
timestep
ExportTimestep
No
A duration to evaluate (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
timezone
string
No
Computed data will be converted to this timezone
unit
string
No
The unit of the quantity
Enumerated Values
Property
Value
aggregationPolicy
avg
aggregationPolicy
count
aggregationPolicy
max
aggregationPolicy
min
aggregationPolicy
sum
aggregationPolicy
stddev
aggregationPolicy
stddev_pop
aggregationPolicy
stddev_samp
aggregationPolicy
variance
aggregationPolicy
var_pop
aggregationPolicy
var_samp
aggregationPolicy
median
comparator
>
comparator
<
comparator
=
comparator
<=
comparator
>=
AlertStatus
{
"startDate" : "2024-07-08T13:12:01Z" ,
"endDate" : "2024-07-08T13:12:01Z" ,
"isPending" : true ,
"alertConfigurationId" : 0 ,
"isAuthor" : null ,
"role" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» startDate
string(date-time)
No
The start date of the given level
» endDate
string(date-time)
No
The last date of the given level
» isPending
boolean
No
true if the status is still pending
» alertConfigurationId
number
No
ID of the related alert configuration
and
AlertStatusList
[
{
"startDate" : "2024-07-08T13:12:01Z" ,
"endDate" : "2024-07-08T13:12:01Z" ,
"isPending" : true ,
"alertConfigurationId" : 0 ,
"isAuthor" : null ,
"role" : null
}
]
Properties
Name
Type
Required
Description
*anonymous*
[AlertStatus ]
No
No description
ApiKey
{
"id" : "string" ,
"name" : "string" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"lastUseDate" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
Name
Type
Required
Description
*anonymous*
ApiKeyParam
No
No description
and
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» lastUseDate
Date
No
No description
ApiKeyParam
{
"name" : "string"
}
Properties
Name
Type
Required
Description
name
string
Yes
No description
Appearance
{
"logoUrl" : null ,
"mainColor" : null
}
Properties
Appearance configuration fields
Name
Type
Required
Description
logoUrl
string,null
No
Url of the logo
mainColor
string,null
No
Customisable main color of the application
AuthParam
{
"customerCode" : "string" ,
"password" : "string" ,
"username" : "string"
}
Properties
AuthParam
Name
Type
Required
Description
customerCode
string
No
No description
password
string
Yes
No description
username
string
Yes
No description
AuthenticationPolicies
{
"google" : {
"domain" : "string" ,
"enabled" : false ,
"logoURL" : "string"
},
"ldap" : {
"bindDN" : "string" ,
"emailAttribute" : "string" ,
"enabled" : true ,
"firstNameAttribute" : "string" ,
"identifierAttribute" : "string" ,
"lastNameAttribute" : "string" ,
"password" : "string" ,
"searchBase" : "string" ,
"searchFilter" : "string" ,
"url" : "string"
},
"saml" : {
"enabled" : false
}
}
Properties
List of ways to be authenticated
Name
Type
Required
Description
google
object
No
The Google OAuth2 configuration
» domain
string
No
The email domain to restrict
» enabled
boolean
Yes
Define if the Google OAuth2 is available
» logoURL
string
No
The logo to use in GUI
ldap
object
No
The LDAP configuration
» bindDN
string
No
Admin connection DN
» emailAttribute
string
No
the attribute to get the ldap profile email
» enabled
boolean
No
Whether the LDAP authentication is enabled
» firstNameAttribute
string
No
the attribute to get the ldap profile firstname
» identifierAttribute
string
No
the attribute to get the ldap profile login
» lastNameAttribute
string
No
the attribute to get the ldap profile lastname
» password
string
No
Password for bindDN
» searchBase
string
No
The base DN from which to search for users by username
» searchFilter
string
No
LDAP search filter with which to find a user by username
» url
string
No
URL of the LDAP server
saml
any
No
The SAML configuration
oneOf
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» enabled
boolean
Yes
No description
xor
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» enabled
boolean
Yes
No description
»» entryPoint
string
Yes
The SAML entryPoint
»» issuer
string
Yes
The SAML issuer
»» logoURL
string
Yes
The logo to use in GUI
»» cert
string
Yes
The SAML certificat
»» wantAssertionsSigned
boolean
No
specify that the IdP should always sign the assertion
»» wantAuthnResponseSigned
boolean
No
specify that the IdP should always sign the response
»» identifierAttribute
string
No
the attribute to get the SAML profile login
»» emailAttribute
string
No
the attribute to get the SAML profile email
»» firstNameAttribute
string
No
the attribute to get the SAML profile firstname
»» lastNameAttribute
string
No
the attribute to get the SAML profile lastname
»» groupsAttribute
string
No
the attribute to get the SAML profile groups
»» roleAttribute
string
No
the attribute to get the SAML profile role
»» roleMapping
object
No
the role mapping based on SAML roleAttribute
»»» reader
[string]
No
values map to role reader
»»» user
[string]
No
values map to role user
»»» admin
[string]
No
values map to role admin
Enumerated Values
Property
Value
enabled
false
enabled
true
AxisConfigurationBase
{
"max" : null ,
"min" : null
}
Properties
anyOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» max
null,string
No
No description
» min
null,string
No
No description
or
Name
Type
Required
Description
*anonymous*
AxisLabel
No
No description
AxisLabel
{
"label" : null
}
Properties
Name
Type
Required
Description
label
null,string
No
Axis's label
Category
{
"id" : "string" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"name" : "string" ,
"description" : null ,
"color" : "string" ,
"icon" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» id
string(uuid)
No
No description
and
and
Name
Type
Required
Description
*anonymous*
CategoryParam
No
No description
CategoryParam
{
"name" : "string" ,
"description" : null ,
"color" : "string" ,
"icon" : null
}
Properties
Name
Type
Required
Description
name
string
Yes
No description
description
string,null
No
No description
color
string
Yes
No description
icon
null,string
No
No description
ChangePasswordParam
{
"username" : "string" ,
"oldPassword" : "string" ,
"customerCode" : "string" ,
"newPassword" : "string"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
any
No
No description
oneOf
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» username
string
Yes
Login or email
»» oldPassword
string
Yes
No description
»» customerCode
string
Yes
No description
xor
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» token
string
Yes
reset password reset token
and
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» newPassword
string
Yes
No description
ChartDatasetProperties
{
"color" : "string" ,
"lineStyle" : "plain" ,
"lineTension" : true ,
"lineWidth" : 2 ,
"stacked" : false ,
"view" : "bar"
}
Properties
Name
Type
Required
Description
color
string
Yes
No description
lineStyle
string
No
No description
lineTension
boolean
No
No description
lineWidth
number
No
No description
stacked
boolean
No
stack the axis's series
view
string,null
No
No description
Enumerated Values
Property
Value
lineStyle
plain
lineStyle
dashed
lineStyle
small-dashes
lineStyle
big-dashes
view
bar
view
area
view
line
view
scatter
view
step
view
area-step
view
null
ChartOptionsBase
{
"showLegend" : true
}
Properties
Name
Type
Required
Description
showLegend
boolean
No
Whether the legend should be displayed
{
"id" : "string" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"content" : "string" ,
"details" : {},
"subjectId" : "string" ,
"subjectType" : "Action"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» id
string(uuid)
No
No description
and
and
Name
Type
Required
Description
*anonymous*
CommentParam
No
No description
[
{
"id" : "string" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"content" : "string" ,
"details" : {},
"subjectId" : "string" ,
"subjectType" : "Action"
}
]
Properties
Name
Type
Required
Description
*anonymous*
[Comment ]
No
No description
{
"content" : "string" ,
"details" : {},
"subjectId" : "string" ,
"subjectType" : "Action"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» content
string
Yes
No description
and - discriminator: subjectType
Name
Type
Required
Description
*anonymous*
any
No
No description
oneOf
xor
{
"details" : {},
"subjectId" : "string" ,
"subjectType" : "Action"
}
Properties
Name
Type
Required
Description
details
object
No
No description
subjectId
string(uuid)
Yes
No description
subjectType
string
Yes
No description
Enumerated Values
Property
Value
subjectType
Action
{
"details" : {
"timestamp" : 0
},
"subjectId" : "string" ,
"subjectType" : "Meter"
}
Properties
Name
Type
Required
Description
details
object
No
No description
» timestamp
number
No
timestamp of meter
subjectId
string(uuid)
Yes
No description
subjectType
string
Yes
No description
Enumerated Values
Property
Value
subjectType
Meter
ComparisonConfiguration
{
"offset" : 0 ,
"type" : "relative" ,
"alignDayOfWeek" : false
}
Properties
Name
Type
Required
Description
offset
integer
No
Offset of the comparison range. For instance, -1 will display the previous date range.
type
string
Yes
No description
alignDayOfWeek
boolean
No
Enable or not the alignment of day of week
Enumerated Values
Property
Value
type
relative
{
"bgColor" : "string" ,
"iconColor" : "string" ,
"iconCss" : "string" ,
"id" : "string" ,
"operator" : ">" ,
"textColor" : "string" ,
"threshold" : 0
}
Properties
Name
Type
Required
Description
bgColor
string
No
No description
iconColor
string
No
No description
iconCss
string
No
No description
id
string(uuid)
Yes
ID of the rule
operator
string
Yes
No description
textColor
string
No
No description
threshold
number
Yes
No description
Enumerated Values
Property
Value
operator
>
operator
>=
operator
<
operator
<=
operator
=
CorrelationExport
[
[
0
]
]
Properties
None
CorrelationExportParam
{
"endDate" : "2024-07-08T13:12:01Z" ,
"meters" : [
{
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"id" : "string" ,
"name" : null ,
"quantityType" : "string" ,
"timestep" : "P0D"
}
],
"offset" : "string" ,
"startDate" : "2024-07-08T13:12:01Z" ,
"timestep" : "P0D" ,
"timezone" : "UTC"
}
Properties
Name
Type
Required
Description
endDate
string(date-time)
Yes
date time as ISO8601
meters
[oneOf]
Yes
Meter ids to get
oneOf
xor
continued
Name
Type
Required
Description
offset
string
No
By default the first meter offset is used. This parameter overrides the first meter offset. Should be a signed ISO8601 duration (Ex: '-P1D', 'P12D')
startDate
string(date-time)
Yes
date time as ISO8601
timestep
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
timezone
string
No
timezone
CorrelationMatrixConfiguration
{
"data" : {
"dateRange" : {
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
},
"series" : [
{
"type" : "formula" ,
"id" : "string" ,
"title" : "string" ,
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"quantityType" : "string" ,
"timestep" : "P0D" ,
"shift" : null ,
"color" : null ,
"decimals" : null
}
],
"timestep" : "P0D"
},
"title" : "string" ,
"type" : "correlation-matrix"
}
Properties
Name
Type
Required
Description
data
object
Yes
No description
» dateRange
WidgetDateRangeConfiguration
No
No description
» series
[allOf]
Yes
List of meters
allOf - discriminator: type
Name
Type
Required
Description
»» *anonymous*
any
No
No description
oneOf
xor
xor
and
Name
Type
Required
Description
»» *anonymous*
DatasetDecimals
No
No description
continued
Name
Type
Required
Description
» timestep
ExportTimestepNullable
No
No description
title
string
No
No description
type
string
Yes
No description
Enumerated Values
Property
Value
type
correlation-matrix
CumulativeConfiguration
null
Properties
Options of the cumulative option
Name
Type
Required
Description
*anonymous*
object,null
No
Options of the cumulative option
enabled
boolean
No
Whether data is shown as cumulated
Customer
{
"customerCode" : "string" ,
"name" : "string" ,
"url" : null ,
"authenticationPolicies" : {
"google" : {
"domain" : "string" ,
"enabled" : false ,
"logoURL" : "string"
},
"ldap" : {
"bindDN" : "string" ,
"emailAttribute" : "string" ,
"enabled" : true ,
"firstNameAttribute" : "string" ,
"identifierAttribute" : "string" ,
"lastNameAttribute" : "string" ,
"password" : "string" ,
"searchBase" : "string" ,
"searchFilter" : "string" ,
"url" : "string"
},
"saml" : {
"enabled" : false
}
},
"settings" : {
"appearance" : {
"logoUrl" : null ,
"mainColor" : null
},
"features" : {},
"passwordConfiguration" : {
"minimumSize" : 6 ,
"numericCharacter" : false ,
"specialCharacter" : false ,
"uppercaseCharacter" : false
},
"timesteps" : [
"string"
],
"timezone" : "string"
},
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» customerCode
string
Yes
Unique code of the customer
» name
string
Yes
Displayable name of the customer
» url
string,null
No
URL of the customer application
» authenticationPolicies
AuthenticationPolicies
No
List of ways to be authenticated
» settings
CustomerSettings
No
Settings of the customer
and
CustomerSettings
{
"appearance" : {
"logoUrl" : null ,
"mainColor" : null
},
"features" : {},
"passwordConfiguration" : {
"minimumSize" : 6 ,
"numericCharacter" : false ,
"specialCharacter" : false ,
"uppercaseCharacter" : false
},
"timesteps" : [
"string"
],
"timezone" : "string"
}
Properties
Settings of the customer
Name
Type
Required
Description
appearance
Appearance
No
Appearance configuration fields
features
object
No
Feature flags enabled on the customer environment
passwordConfiguration
PasswordConfiguration
No
Password configuration details
timesteps
[string]
No
Timesteps of the customer
timezone
string
No
Timezone of the customer
Dashboard
{
"id" : "string" ,
"isAuthor" : null ,
"role" : null ,
"name" : "string" ,
"parentId" : null ,
"description" : null ,
"isDraft" : false ,
"timezone" : "UTC" ,
"styles" : {
"font" : "string"
},
"layout" : {
"options" : {
"footer" : null ,
"locale" : "en-us" ,
"margins" : [
0 ,
0 ,
0 ,
0
],
"noEnergiencyFooter" : true ,
"format" : "screen"
}
},
"dateRange" : null ,
"timestep" : "P0D" ,
"variables" : [
{
"id" : "string" ,
"name" : "string" ,
"type" : "meter" ,
"value" : "string"
}
],
"widgets" : [
{
"options" : {
"decimals" : null ,
"backgroundImageUrl" : "string"
},
"id" : "string" ,
"layout" : {
"col" : 0 ,
"row" : 0 ,
"width" : 1 ,
"height" : 1
},
"data" : {
"dateRange" : {
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
},
"series" : [
{
"type" : "formula" ,
"id" : "string" ,
"title" : "string" ,
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"quantityType" : "string" ,
"timestep" : "P0D" ,
"shift" : null ,
"color" : "#ff5263" ,
"decimals" : null ,
"statistic" : "sum" ,
"width" : 0 ,
"height" : 0 ,
"x" : 0 ,
"y" : 0 ,
"bgColor" : "#c5f6fa" ,
"fontSize" : "normal" ,
"fontWeight" : "normal" ,
"italic" : false ,
"underline" : false
}
]
},
"type" : "synoptic"
}
],
"template" : null ,
"scheduling" : {
"enabled" : false ,
"dateRange" : "string" ,
"delay" : "P0D" ,
"recipients" : [
null
],
"copyWidgetText" : false ,
"dateTime" : {
"hour" : "string"
},
"frequency" : "daily"
},
"enableShareLink" : false ,
"meterIds" : [
"string"
],
"meters" : {
"property1" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
},
"property2" : {
"role" : null ,
"aggregationPolicy" : "avg" ,
"name" : "string" ,
"quantityType" : "numeric" ,
"timestep" : "P0D" ,
"unit" : null ,
"virtual" : null ,
"tagIds" : [
"string"
]
}
},
"shareLinkId" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
and
Name
Type
Required
Description
*anonymous*
DashboardParam
No
No description
and
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» meterIds
[string]
No
Meters' id used in the dashboards
» meters
object
No
No description
»» **additionalProperties**
MeterRef
No
Schema for meter reference use in action, alert and dashboard
» shareLinkId
string,null(uuid)
No
ID allowing to access to the dashboard by share link
DashboardBase
{
"name" : "string" ,
"parentId" : null ,
"description" : null ,
"isDraft" : false ,
"timezone" : "UTC" ,
"styles" : {
"font" : "string"
},
"layout" : {
"options" : {
"footer" : null ,
"locale" : "en-us" ,
"margins" : [
0 ,
0 ,
0 ,
0
],
"noEnergiencyFooter" : true ,
"format" : "screen"
}
},
"dateRange" : null ,
"timestep" : "P0D" ,
"variables" : [
{
"id" : "string" ,
"name" : "string" ,
"type" : "meter" ,
"value" : "string"
}
],
"widgets" : [
{
"options" : {
"decimals" : null ,
"backgroundImageUrl" : "string"
},
"id" : "string" ,
"layout" : {
"col" : 0 ,
"row" : 0 ,
"width" : 1 ,
"height" : 1
},
"data" : {
"dateRange" : {
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
},
"series" : [
{
"type" : "formula" ,
"id" : "string" ,
"title" : "string" ,
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"quantityType" : "string" ,
"timestep" : "P0D" ,
"shift" : null ,
"color" : "#ff5263" ,
"decimals" : null ,
"statistic" : "sum" ,
"width" : 0 ,
"height" : 0 ,
"x" : 0 ,
"y" : 0 ,
"bgColor" : "#c5f6fa" ,
"fontSize" : "normal" ,
"fontWeight" : "normal" ,
"italic" : false ,
"underline" : false
}
]
},
"type" : "synoptic"
}
]
}
Properties
Schema for commun editable properties of dashboard and report
Name
Type
Required
Description
name
string
No
No description
parentId
string,null(uuid)
No
ID of the parent element (if null, the folder will be put at the root of the tree). Can only be null, or the ID of a Folder element.
description
string,null
No
No description
isDraft
boolean
No
Whether the dashboard has been published or not. If it's still a draft, it's only visible by the author.
timezone
string
No
Timezone used to display dashboard's data
styles
object
No
No description
» font
string
No
Font for a dashboard
layout
object
No
No description
» options
any
No
No description
oneOf
xor
Name
Type
Required
Description
»» *anonymous*
LayoutOptionsA4
No
No description
continued
Name
Type
Required
Description
» dateRange
any
No
No description
anyOf
or
or
Name
Type
Required
Description
»» *anonymous*
null,string
No
No description
continued
{
"type" : "formula" ,
"id" : "string" ,
"title" : "string" ,
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"quantityType" : "string" ,
"timestep" : "P0D" ,
"shift" : null ,
"color" : null
}
Properties
Serie of values defined by a formula
Name
Type
Required
Description
type
string
Yes
No description
allOf
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» aggregationPolicy
string
No
Override the aggregation policy of the meter
» formula
string
No
Formula (Required if using formula)
» quantityType
string
No
Type of values in meter data
» timestep
ExportTimestepNullable
No
No description
» shift
string,null
No
Shift of the formula
» color
string,null
No
Formula's color
» type
string
Yes
No description
Enumerated Values
Property
Value
type
formula
aggregationPolicy
avg
aggregationPolicy
count
aggregationPolicy
max
aggregationPolicy
min
aggregationPolicy
sum
aggregationPolicy
stddev
aggregationPolicy
stddev_pop
aggregationPolicy
stddev_samp
aggregationPolicy
variance
aggregationPolicy
var_pop
aggregationPolicy
var_samp
aggregationPolicy
median
type
formula
DashboardMeterDataset
{
"type" : "meter" ,
"id" : "string" ,
"title" : "string" ,
"meterId" : "string" ,
"unit" : null
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
allOf
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» meterId
string(uuid)
Yes
ID of the meter
» unit
string,null
No
Unit used to display meter values
Enumerated Values
Property
Value
type
meter
DashboardParam
{
"name" : "string" ,
"parentId" : null ,
"description" : null ,
"isDraft" : false ,
"timezone" : "UTC" ,
"styles" : {
"font" : "string"
},
"layout" : {
"options" : {
"footer" : null ,
"locale" : "en-us" ,
"margins" : [
0 ,
0 ,
0 ,
0
],
"noEnergiencyFooter" : true ,
"format" : "screen"
}
},
"dateRange" : null ,
"timestep" : "P0D" ,
"variables" : [
{
"id" : "string" ,
"name" : "string" ,
"type" : "meter" ,
"value" : "string"
}
],
"widgets" : [
{
"options" : {
"decimals" : null ,
"backgroundImageUrl" : "string"
},
"id" : "string" ,
"layout" : {
"col" : 0 ,
"row" : 0 ,
"width" : 1 ,
"height" : 1
},
"data" : {
"dateRange" : {
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
},
"series" : [
{
"type" : "formula" ,
"id" : "string" ,
"title" : "string" ,
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"quantityType" : "string" ,
"timestep" : "P0D" ,
"shift" : null ,
"color" : "#ff5263" ,
"decimals" : null ,
"statistic" : "sum" ,
"width" : 0 ,
"height" : 0 ,
"x" : 0 ,
"y" : 0 ,
"bgColor" : "#c5f6fa" ,
"fontSize" : "normal" ,
"fontWeight" : "normal" ,
"italic" : false ,
"underline" : false
}
]
},
"type" : "synoptic"
}
],
"template" : null ,
"scheduling" : {
"enabled" : false ,
"dateRange" : "string" ,
"delay" : "P0D" ,
"recipients" : [
null
],
"copyWidgetText" : false ,
"dateTime" : {
"hour" : "string"
},
"frequency" : "daily"
},
"enableShareLink" : false
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
DashboardBase
No
Schema for commun editable properties of dashboard and report
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» template
string,null
No
No description
» scheduling
any
No
No description
oneOf
Name
Type
Required
Description
»» *anonymous*
any
No
No description
allOf
Name
Type
Required
Description
»»» *anonymous*
object
No
No description
»»»» enabled
boolean
No
No description
»»»» dateRange
string
No
No description
»»»» delay
string
No
No description
»»»» recipients
[oneOf]
No
Can be email or userId
oneOf
Name
Type
Required
Description
»»»»» *anonymous*
any
No
No description
xor
Name
Type
Required
Description
»»»»» *anonymous*
any
No
No description
continued
Name
Type
Required
Description
»»»» copyWidgetText
boolean
No
copy the widgets Text from the previous report
and
Name
Type
Required
Description
»»» *anonymous*
any
No
No description
anyOf
Name
Type
Required
Description
»»»» *anonymous*
SchedulingDaily
No
No description
or
Name
Type
Required
Description
»»»» *anonymous*
SchedulingWeekly
No
No description
or
or
Name
Type
Required
Description
»»»» *anonymous*
SchedulingYearly
No
No description
xor
Name
Type
Required
Description
»»» *anonymous*
any
No
No description
allOf
Name
Type
Required
Description
»»»» *anonymous*
object
No
No description
»»»»» enabled
boolean
Yes
No description
»»»»» dateRange
string
Yes
Only duration with one unit are allowed
»»»»» delay
string
No
Only duration with one unit are allowed
»»»»» recipients
[oneOf]
No
Can be email or userId
oneOf
Name
Type
Required
Description
»»»»»» *anonymous*
any
No
No description
xor
Name
Type
Required
Description
»»»»»» *anonymous*
any
No
No description
continued
Name
Type
Required
Description
»»»»» frequency
string
Yes
Required when scheduling enabled
»»»»» dateTime
object
Yes
Required when scheduling
and
Name
Type
Required
Description
»»»» *anonymous*
any
No
No description
oneOf
Name
Type
Required
Description
»»»»» *anonymous*
SchedulingDaily
No
No description
xor
Name
Type
Required
Description
»»»»» *anonymous*
SchedulingWeekly
No
No description
xor
xor
Name
Type
Required
Description
»»»»» *anonymous*
SchedulingYearly
No
No description
continued
Name
Type
Required
Description
»»»» enableShareLink
boolean
No
Whether a share link to this dashboard is enabled
Enumerated Values
Property
Value
template
null
template
customer
template
library
enabled
false
enabled
true
DashboardParamRequired
{}
Properties
None
DashboardStatisticDataset
{
"type" : "statistic" ,
"id" : "string" ,
"title" : "string" ,
"statistic" : "sum"
}
Properties
Serie of values defined by a statistic
Name
Type
Required
Description
type
string
Yes
No description
allOf
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» type
string
Yes
type of the dataset
» statistic
StatisticEnum
Yes
No description
Enumerated Values
Property
Value
type
statistic
type
statistic
DashboardVariableConfiguration
{
"id" : "string" ,
"name" : "string" ,
"type" : "meter" ,
"value" : "string"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» id
string(uuid)
Yes
The id of the dataset
» name
string
Yes
Name of the variable
and - discriminator: type
Name
Type
Required
Description
*anonymous*
any
No
No description
oneOf
xor
xor
DashboardVariableDataset
{
"type" : "variable" ,
"id" : "string" ,
"title" : "string" ,
"variableId" : "string" ,
"unit" : null
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
allOf
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» variableId
string(uuid)
Yes
ID of the variable
» type
string
Yes
type of the data
» unit
string,null
No
Unit used to display variable values
Enumerated Values
Property
Value
type
variable
type
variable
DashboardVariableMeterConfiguration
{
"type" : "meter" ,
"value" : "string"
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
value
string(uuid)
Yes
ID of the meter
Enumerated Values
Property
Value
type
meter
DashboardVariableNumberConfiguration
{
"type" : "number" ,
"value" : 0
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
value
number
Yes
Number value
Enumerated Values
Property
Value
type
number
DashboardVariableStringConfiguration
{
"type" : "string" ,
"value" : "string"
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
value
string
Yes
string value
Enumerated Values
Property
Value
type
string
DataType
{
"id" : "string" ,
"defaultUnit" : null ,
"name" : "string" ,
"units" : [
{
"coef" : 0 ,
"symbol" : "string"
}
],
"locales" : {
"property1" : {
"name" : "string"
},
"property2" : {
"name" : "string"
}
},
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
Name
Type
Required
Description
*anonymous*
DataTypeParam
No
No description
and
DataTypeList
[
{
"id" : "string" ,
"defaultUnit" : null ,
"name" : "string" ,
"units" : [
{
"coef" : 0 ,
"symbol" : "string"
}
],
"locales" : {
"property1" : {
"name" : "string"
},
"property2" : {
"name" : "string"
}
},
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null
}
]
Properties
Name
Type
Required
Description
*anonymous*
[DataType ]
No
No description
DataTypeParam
{
"defaultUnit" : null ,
"name" : "string" ,
"units" : [
{
"coef" : 0 ,
"symbol" : "string"
}
],
"locales" : {
"property1" : {
"name" : "string"
},
"property2" : {
"name" : "string"
}
}
}
Properties
Name
Type
Required
Description
defaultUnit
string,null
No
No description
name
string
No
No description
units
[object]
No
No description
» coef
number
No
No description
» symbol
string
No
No description
locales
object
Yes
Contains all label translation by locale
» **additionalProperties**
object
No
Labels translation of a locale
»» name
string
Yes
label of the locale
DatasetDecimals
{
"decimals" : null
}
Properties
Name
Type
Required
Description
decimals
number,null
No
Number of decimals used to display dataset values
DatasetProperties
{
"id" : "string" ,
"title" : "string"
}
Properties
Name
Type
Required
Description
id
string(uuid)
Yes
The id of the dataset
title
string
No
Title used to name the dataset in the widget. If not defined, the native name of the dataset will be used.
DateRangeAbsolute
null
Properties
Name
Type
Required
Description
*anonymous*
object,null
No
No description
endDate
string(date-time)
Yes
No description
startDate
string(date-time)
Yes
No description
type
string
Yes
No description
Enumerated Values
Property
Value
type
absolute
DateRangeRelative
{
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
}
Properties
Name
Type
Required
Description
offset
any
Yes
No description
anyOf
Name
Type
Required
Description
» *anonymous*
integer
No
No description
or
Name
Type
Required
Description
» *anonymous*
[number]
No
No description
continued
Name
Type
Required
Description
type
string
Yes
No description
unit
string,null
Yes
No description
Enumerated Values
Property
Value
type
relative
unit
day
unit
week
unit
month
unit
year
Document
{
"id" : "string" ,
"parentId" : null ,
"name" : "string" ,
"documentUrl" : "string" ,
"thumbnailUrl" : "string" ,
"subjectType" : "Meter" ,
"subjectId" : "string" ,
"subjectName" : "string" ,
"isAuthor" : null ,
"role" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null
}
Properties
Document
Name
Type
Required
Description
Document
any
No
No description
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» id
string(uuid)
No
No description
» parentId
string,null(uuid)
No
ID of the parent element (if null, the document will be put at the root of the tree). Can only be null, or the ID of a Folder element.
» name
string
No
No description
» documentUrl
string
No
No description
» thumbnailUrl
string
No
No description
» subjectType
string
No
No description
» subjectId
string
No
No description
» subjectName
string
No
No description
and
and
Enumerated Values
Property
Value
subjectType
Meter
subjectType
Action
subjectType
Dashboard
subjectType
Report
DocumentList
[
{
"id" : "string" ,
"parentId" : null ,
"name" : "string" ,
"documentUrl" : "string" ,
"thumbnailUrl" : "string" ,
"subjectType" : "Meter" ,
"subjectId" : "string" ,
"subjectName" : "string" ,
"isAuthor" : null ,
"role" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null
}
]
Properties
DocumentList
Name
Type
Required
Description
DocumentList
[Document ]
No
No description
DocumentParam
{
"document" : "string" ,
"name" : "string"
}
Properties
DocumentParam
Name
Type
Required
Description
document
string
Yes
No description
name
string
Yes
No description
DocumentParamForActionType
{
"document" : "string" ,
"name" : "string" ,
"subjectId" : "string" ,
"subjectType" : "Action"
}
Properties
DocumentParamForActionType
Name
Type
Required
Description
document
string(binary)
Yes
No description
name
string
Yes
No description
subjectId
string(uuid)
Yes
No description
subjectType
string
Yes
No description
Enumerated Values
Property
Value
subjectType
Action
{
"document" : "string" ,
"name" : "string" ,
"subjectId" : "string" ,
"subjectType" : "Meter"
}
Properties
DocumentParamForMeterType
Name
Type
Required
Description
document
string(binary)
Yes
No description
name
string
Yes
No description
subjectId
string(uuid)
Yes
No description
subjectType
string
Yes
No description
Enumerated Values
Property
Value
subjectType
Meter
Event
{
"action" : "create" ,
"details" : {},
"id" : "string" ,
"ipAddress" : "192.168.0.1" ,
"subjectId" : "string" ,
"subjectType" : "string"
}
Properties
Event
Name
Type
Required
Description
action
string
No
No description
details
object
No
No description
id
string(uuid)
No
No description
ipAddress
string(ipv4)
No
No description
subjectId
string
No
No description
subjectType
string
No
No description
Enumerated Values
Property
Value
action
create
action
update
action
delete
ExportRange
{
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z"
}
Properties
Name
Type
Required
Description
endDate
string(date-time)
No
UTC date as ISO8601
startDate
string(date-time)
No
UTC date as ISO8601
ExportTimestep
"P0D"
Properties
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
Name
Type
Required
Description
*anonymous*
string
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
ExportTimestepNullable
"P0D"
Properties
oneOf
Name
Type
Required
Description
*anonymous*
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
xor
Name
Type
Required
Description
*anonymous*
null
No
No description
Favorite
{
"id" : "string" ,
"subjectId" : "string" ,
"subjectType" : "Dashboard" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"userId" : "string"
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
Name
Type
Required
Description
*anonymous*
FavoriteParam
No
No description
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» creationDate
string(date-time)
No
Date and time (ISO 8601 format) when it was created
» userId
string(uuid)
No
No description
FavoriteParam
{
"subjectId" : "string" ,
"subjectType" : "Dashboard"
}
Properties
Name
Type
Required
Description
subjectId
string(uuid)
Yes
No description
subjectType
string
Yes
No description
Enumerated Values
Property
Value
subjectType
Dashboard
Folder
{
"id" : "string" ,
"description" : null ,
"name" : "string" ,
"parentId" : null ,
"context" : "actions" ,
"access" : null ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"isAuthor" : null ,
"role" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
object
No
No description
» id
string(uuid)
No
ID of the folder, defined by Energiency
and
Name
Type
Required
Description
*anonymous*
FolderParam
No
No description
and
and
FolderBaseParam
{
"description" : null ,
"name" : "string" ,
"parentId" : null
}
Properties
Name
Type
Required
Description
description
string,null
No
Description of the folder
name
string
Yes
Name of the folder
parentId
string,null(uuid)
No
ID of the parent element (if null, the folder will be put at the root of the tree). Can only be null, or the ID of a Folder element.
FolderParam
{
"description" : null ,
"name" : "string" ,
"parentId" : null ,
"context" : "actions" ,
"access" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
FolderBaseParam
No
No description
and
Name
Type
Required
Description
*anonymous*
object
No
No description
» context
string
Yes
Context where the folder is
and
Name
Type
Required
Description
*anonymous*
AccessParam
No
Defined the access to a ressource and these sub ressources. Access keys are user's id or group's id. Access values are read to give read-only access, or write to give edit access.
Enumerated Values
Property
Value
context
actions
context
dashboards
context
meters
context
documents
context
alertConfigurations
{
"aggregationPolicy" : "avg" ,
"formula" : "string" ,
"id" : "string" ,
"name" : null ,
"quantityType" : "string" ,
"timestep" : "P0D"
}
Properties
Name
Type
Required
Description
aggregationPolicy
string
No
Override the aggregation policy of the meter
formula
string
Yes
Formula (Required if using formula)
id
string(uuid)
Yes
The id of the required meter
name
null,string
No
The name of the meter
quantityType
string
No
Type of values in meter data
timestep
ExportTimestep
Yes
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
Enumerated Values
Property
Value
aggregationPolicy
avg
aggregationPolicy
count
aggregationPolicy
max
aggregationPolicy
min
aggregationPolicy
sum
aggregationPolicy
stddev
aggregationPolicy
stddev_pop
aggregationPolicy
stddev_samp
aggregationPolicy
variance
aggregationPolicy
var_pop
aggregationPolicy
var_samp
aggregationPolicy
median
GradientBase
{
"type" : "value" ,
"smooth" : true ,
"stops" : [
{
"color" : "string" ,
"offset" : 0
}
]
}
Properties
Name
Type
Required
Description
type
string
Yes
No description
smooth
boolean
No
If true, the color of a point is the interpolated color between two stops
stops
[object]
Yes
Color stops that compose the gradient
» color
string
No
Color of the gradient
» offset
number
No
Offset of the gradient stop
Enumerated Values
Property
Value
type
value
type
percentile
GradientLock
{
"locked" : true ,
"lockedParams" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z" ,
"timestep" : "P0D" ,
"timezone" : "UTC" ,
"offsets" : [
0
]
}
}
Properties
oneOf
Name
Type
Required
Description
*anonymous*
object
No
Whether locked is enabled
» locked
boolean
No
No description
» lockedParams
object
Yes
No description
allOf
Name
Type
Required
Description
»» *anonymous*
ExportRange
No
No description
and
Name
Type
Required
Description
»» *anonymous*
object
No
No description
»»» timestep
ExportTimestep
No
Aggregate data on duration range (as ISO8601/Durations). Limitation : Over a period of a month, allowed timestep are P1M, P3M and P1Y
»»» timezone
string
No
timezone
»»» offsets
[number]
No
percentil's result
xor
Name
Type
Required
Description
»» *anonymous*
object
No
Whether locked is disabled
»»» locked
boolean
No
No description
»»» lockedParams
object
No
No description
Enumerated Values
Property
Value
locked
true
locked
false
GradientPercent
{
"type" : "value" ,
"smooth" : true ,
"stops" : [
{
"color" : "string" ,
"offset" : 0
}
]
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
GradientBase
No
No description
and
Name
Type
Required
Description
*anonymous*
object
No
Override properties to handle percent
» stops
[object]
No
No description
»» offset
number
No
Offset of the gradient stop, where 0 is the offset of the color corresponding to the minimal value, 1 is the offset of the color corresponding to the maximal value
Group
{
"id" : "string" ,
"creationDate" : "2024-07-08T13:12:01Z" ,
"creationUserId" : "string" ,
"modificationDate" : null ,
"modificationUserId" : null ,
"description" : null ,
"members" : {
"property1" : {
"role" : "read"
},
"property2" : {
"role" : "read"
}
},
"name" : "string" ,
"role" : null
}
Properties
allOf
Name
Type
Required
Description
*anonymous*
Id
No
No description
and
and
Name
Type
Required
Description
*anonymous*
GroupParam
No
No description
and
Name
Type
Required
Description
*anonymous*
AccessRole
No
No description
GroupBy
[
"hour" ,
"hour"
]
Properties
oneOf
xor
xor
xor
Name
Type
Required
Description
*anonymous*
GroupByHourWeek
No
No description
xor
xor
xor
Name
Type
Required
Description
*anonymous*
SimpleGroupBy
No
Groups the series by month, week, hour, day of week or or day of the year
GroupByDayOfWeekMonth
[
"dayOfWeek" ,
"dayOfWeek"
]
Properties
None
GroupByDayOfWeekWeek
[
"dayOfWeek" ,
"dayOfWeek"
]
Properties
None
GroupByHourDayOfWeek
[
"hour" ,
"hour"
]
Properties
None
GroupByHourDayOfYear
[
"hour" ,
"hour"
]
Properties
None
GroupByHourMonth
[
"hour" ,
"hour"
]
Properties
None
GroupByHourWeek
[
"hour" ,
"hour"
]
Properties
None
GroupParam
{
"description" : null ,
"members" : {
"property1" : {
"role" : "read"
},
"property2" : {
"role" : "read"
}
},
"name" : "string"
}
Properties
Name
Type
Required
Description
description
null,string
No
No description
members
object
No
No description
» **additionalProperties**
object
No
Map of members by user's id
»» role
string
No
role write can edit group
» name
string
Yes
No description
Enumerated Values
Property
Value
role
read
role
write
HeatMapConfiguration
{
"data" : {
"xAxis" : {
"groubBy" : "hour"
},
"yAxis" : {
"groubBy" : "hour"
},
"timestep" : "P0D" ,
"dateRange" : {
"offset" : -1 ,
"type" : "relative" ,
"unit" : "day"
}
},
"options" : {
"gradient" : {
"type" : "value" ,
"smooth" : true ,
"stops" : [
{
"color" : "string" ,
"offset" : 0
}
],
"locked" : true ,
"lockedParams" : {
"endDate" : "2024-07-08T13:12:01Z" ,
"startDate" : "2024-07-08T13:12:01Z" ,
"timestep" : "P0D" ,
"timezone" : "UTC" ,
"offsets" : [
0
]
}
},
"showGradient" : true
},
"title" : "string" ,
"type" : "heatmap"
}
Properties
HeatMapConfiguration
Name
Type
Required
Description
data
any
Yes
No description
anyOf
Name
Type
Required
Description
» *anonymous*
object
No
No description
»» xAxis
object
Yes
No description
»»» groubBy
SimpleGroupBy
No
Groups the series by month, week, hour, day of week or or day of the year
»» yAxis
object
Yes
No description
»»» groubBy
SimpleGroupBy
No
Groups the series by month, week, hour, day of week or or day of the year
»» timestep
ExportTimestepNullable
No
No description
»» dateRange
WidgetDateRangeConfiguration
No
No description
or - discriminator: type
Name
Type
Required
Description
» *anonymous*
any
No
No description
oneOf
xor
xor
or
Name
Type
Required
Description
» *anonymous*
DatasetDecimals
No
No description
continued
Name
Type
Required
Description
options
object
No
No description
[...]
